LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAreaLinks Interface Referencepublished

provides access via index to a collection of area links and inserting and removing area links. More...

`import"XAreaLinks.idl";`

Inheritance diagram for XAreaLinks:

## Public Member Functions
void | insertAtPosition ([in] com::sun::star::table::CellAddress aDestPos, [in] string aFileName, [in] string aSourceArea, [in] string aFilter, [in] string aFilterOptions)
| creates an area link and adds it to the collection. More...
void | removeByIndex ([in] long nIndex)
| removes an area link from the collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access via index to a collection of area links and inserting and removing area links.

See also
  com::sun::star::sheet::CellAreaLinks
  com::sun::star::sheet::CellAreaLink

Developers Guide
  Spreadsheet Documents - Cell Area Links

## Member Function Documentation

## ◆ insertAtPosition()

void insertAtPosition | ( | [in] com::sun::star::table::CellAddress | aDestPos,
|  | [in] string | aFileName,
|  | [in] string | aSourceArea,
|  | [in] string | aFilter,
|  | [in] string | aFilterOptions
| ) |  |

creates an area link and adds it to the collection.

Parameters

  aDestPos | the address of the first cell of the range inside the current document.
  aFileName | the URL of the source document.
  aSourceArea | the name of the range in the source document.

This can be the address of a cell or range in the form "Sheet1.A1:C5", or the name of a named range or database range.

Parameters

  aFilter | the name of the filter used to load the source document.
  aFilterOptions | optional filter options for the specified filter.

## ◆ removeByIndex()

void removeByIndex | ( | [in] long | nIndex | ) |

removes an area link from the collection.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XAreaLinks.idl